function setWeather () {
    var url="http://weather.yahooapis.com/forecastrss?p=JAXX0005&u=c";
	var httpRequest = new XMLHttpRequest();

	httpRequest.open("GET", url);
	httpRequest.overrideMimeType("text/xml");
    httpRequest.setRequestHeader('Cache-Control', 'no-cache'); 
	httpRequest.send(null); 
	httpRequest.onload = function() {xml_responded(httpRequest);}
}

function findChild (element, nodeName){
	var child;
	
	for (child = element.firstChild; child != null; child = child.nextSibling){
		if (child.nodeName == nodeName) return child;
	}
	
	return null;
}

function xml_responded (request) {
    var elm_channel = findChild(findChild(request.responseXML, "rss"), "channel");
    var elm_yweather_location = findChild(elm_channel, "yweather:location");
    var elm_city = elm_yweather_location.getAttribute("city");
    document.getElementById("city").innerText = elm_city;

    var today = request.responseXML.getElementsByTagName("forecast")[0];
    var tomorrow = request.responseXML.getElementsByTagName("forecast")[1];
    document.getElementById("day0").innerText = today.getAttribute("day");
    document.getElementById("day1").innerText = tomorrow.getAttribute("day");
    document.getElementById("text0").innerText = today.getAttribute("text");
    document.getElementById("text1").innerText = tomorrow.getAttribute("text");
    document.getElementById("high0").innerText = today.getAttribute("high") + "℃";
    document.getElementById("high1").innerText = tomorrow.getAttribute("high") + "℃";
    document.getElementById("low0").innerText = today.getAttribute("low") + "℃";
    document.getElementById("low1").innerText = tomorrow.getAttribute("low") + "℃";
}
